CGAL 6.1.2 - 2D Voronoi Diagram Adaptor: CGAL::Voronoi_diagram_2< DG, AT, AP >::Face Class Reference

CGAL 6.1.2 - 2D Voronoi Diagram Adaptor

Loading...
Searching...
No Matches
List of all members
CGAL::Voronoi_diagram_2< DG, AT, AP >::Face Class Reference
Reference Manual

`#include <CGAL/Voronoi_diagram_2.h>`

## Definition

template<typename DG, typename AT, typename AP>
class CGAL::Voronoi_diagram_2< DG, AT, AP >::Face

The class `Face` is the class provided by the `Voronoi_diagram_2<DG,AT,AP>` class for Voronoi faces.

Below we present its interface.

Is model of
  `DefaultConstructible`
  `CopyConstructible`
  `Assignable`
  `EqualityComparable`
  `LessThanComparable`

See also
  `CGAL::Voronoi_diagram_2<DG,AT,AP>`
  `CGAL::Voronoi_diagram_2<DG,AT,AP>::Vertex`
  `CGAL::Voronoi_diagram_2<DG,AT,AP>::Halfedge`
  `DelaunayGraph_2`

## Types
typedef unspecified_type | Vertex
| A type for the vertices of the Voronoi diagram.
typedef unspecified_type | Halfedge
| A type for the halfedges of the Voronoi diagram.
typedef unspecified_type | Vertex_handle
| Handle for the vertices of the Voronoi diagram.
typedef unspecified_type | Face_handle
| Handle for the faces of the Voronoi diagram.
typedef unspecified_type | Halfedge_handle
| Handle for the halfedges of the Voronoi diagram.
typedef unspecified_type | Ccb_halfedge_circulator
| A type for a bidirectional circulator over the halfedges on the boundary of the face.
typedef unspecified_type | Delaunay_graph
| A type for the Delaunay graph.
typedef Delaunay_graph::Vertex_handle | Delaunay_vertex_handle
| A type for the handle of the dual vertex.

## Access Methods
Halfedge_handle | halfedge ()
| Returns an incident halfedge on the boundary of `f`.
Ccb_halfedge_circulator | ccb ()
| Returns a bidirectional circulator for traversing the halfedges on the boundary of `f`.
Delaunay_vertex_handle | dual ()
| Returns a handle to the corresponding dual vertex in the Delaunay graph.

## Predicate Methods
bool | is_unbounded ()
| Returns `true` iff the face is an unbounded face in the Voronoi diagram.
bool | is_halfedge_on_ccb (Halfedge e)
| Returns `true` iff `e` is a halfedge of the boundary of `f`.
bool | is_valid ()
| Returns `true` iff the following conditions are met: the face is not rejected by the chosen adaptation policy; all its adjacent halfedges do not have zero length; all its adjacent halfedges return the face as their adjacent face.

## Member Typedef Documentation

## ◆ Ccb_halfedge_circulator

template<typename DG , typename AT , typename AP >

typedef unspecified_type CGAL::Voronoi_diagram_2< DG, AT, AP >::Face::Ccb_halfedge_circulator

A type for a bidirectional circulator over the halfedges on the boundary of the face.

The value type of the circulator is CGAL::Voronoi_diagram_2<DG,AT,AP>::Halfedge, and is convertible to `Halfedge_handle`.

## ◆ Delaunay_graph

template<typename DG , typename AT , typename AP >

typedef unspecified_type CGAL::Voronoi_diagram_2< DG, AT, AP >::Face::Delaunay_graph

A type for the Delaunay graph.

It is a model of the `DelaunayGraph_2` concept.

## Member Function Documentation

## ◆ ccb()

template<typename DG , typename AT , typename AP >

Ccb_halfedge_circulator CGAL::Voronoi_diagram_2< DG, AT, AP >::Face::ccb | ( |  | ) |

Returns a bidirectional circulator for traversing the halfedges on the boundary of `f`.

The halfedges are traversed in counterclockwise order.